import COS from 'cos-js-sdk-v5'

const cos = new COS({
  SecretId: 'AKIDAvnTRAW5C4mT8gDMUTn0ylQDl32pup47', // 密钥id
  SecretKey: 'Tw9z7zdzBZllhNnzmgRzKyPbXEwPfeU5' // 密钥 key
}) // 实例化的包 已经具有了上传的能力 可以上传到该账号里面的存储桶了

export function uploadFile(file, opts) {
  opts = Object.assign({
    onProgress: null
  }, opts)
  return new Promise((resolve, reject) => {
    // 执行上传操作
    cos.putObject({
      Bucket: 'netdisk-1303885219', // 存储桶
      Region: 'ap-beijing', // 地域
      Key: Date.now() + '/' + file.name, // 文件名
      Body: file, // 要上传的文件对象
      StorageClass: 'STANDARD', // 上传的模式类型 直接默认 标准模式即可
      onProgress: (progressData) => {
        if (opts && opts.onProgress) {
          opts.onProgress({
            percent: progressData.percent * 100
          })
        }
      }
    }, (err, data) => {
      if (err) {
        reject(err)
      } else {
        resolve(data)
      }
    })
  })
}
